Download it now!
Bug 31411 - Fails to build with --disable-mozilla
Summary: Fails to build with --disable-mozilla
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-05 07:15 UTC by Bernhard Rosenkraenzer
Modified: 2011-12-23 15:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed fix (415 bytes, patch)
2010-11-05 07:45 UTC, Bernhard Rosenkraenzer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Rosenkraenzer 2010-11-05 07:15:45 UTC
With --disable-mozilla, libxmlsec isn't built (see comment and code in libxmlsec/makefile.mk) -- however, the xmlsecurity component (which uses libxmlsec and requires the patched version inside libreoffice) is built anyway.

Not sure whether the right fix is to build libxmlsec in --disable-mozilla mode, or to stop building xmlsecurity...
Comment 1 Bernhard Rosenkraenzer 2010-11-05 07:45:58 UTC
Created attachment 40066 [details]
Proposed fix

The fix enables building libxmlsec unconditionally. It works, but is not guaranteed to be the best thing to do.
Comment 2 Petr Mladek 2010-11-12 12:39:42 UTC
I see the following in xmlsecurity/util/makefile.mk:

--- cut ---
.IF "$(WITH_MOZILLA)" == "NO"
@all:
    @echo "No mozilla -> no nss -> no libxmlsec -> no xmlsecurity..."
.ENDIF
--- cut ---

Unfortunately, it disables only the linking.

It seems that the right solution is to build xmlsecurity only with the mozilla stuff.

I suggest to solve it via optional build dependencies in the build.lst file. You might take inspiration in .e.g. binfilters. It means:

   + set BUILD_TYPE="$BUILD_TYPE XMLSECURITY" in bootstrap/configure.in
     when the module should be built (WITH_MOZILLA = YES)
   + use XMLSECURITY:xmlsecurity in postprocess/prj/build.lst

Bernhard, could you please try to prepare and test this solution?
Comment 3 Rainer Bielefeld Retired 2011-02-15 06:50:24 UTC
Anything new here?
Comment 4 Rainer Bielefeld Retired 2011-04-29 03:34:33 UTC
Closing Bug due to reporter's inactivity as WFM.
Comment 5 Björn Michaelsen 2011-12-22 05:51:05 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.